Summary: AFI DAQ Software
Name: afi-daq
Version: 1.4.8
Release: 3%{?dist}
License: GPL
Group: System Environment/Base
URL: https://afi-git.jinr.ru/soft/afi-daq
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

#BuildRequires: cppzmq-devel
BuildRequires: desktop-file-utils
BuildRequires: fftw-devel >= 3.2.1
BuildRequires: net-snmp-devel
BuildRequires: qt5-qtbase-devel > 5.9

Requires: qt5-qtbase-mysql

Obsoletes: adc64 < 1.4
Obsoletes: adc64-system < 1.4
Obsoletes: afi-adc64 < 1.4
Obsoletes: afi-adc64-system < 1.4
Obsoletes: afi-mongo-viewer < 1.1
Obsoletes: afi-mpd-evb < 1.2
Obsoletes: afi-run-control < 1.2
Obsoletes: afi-tdc2 < 1.4
Obsoletes: afi-tqdc2 < 1.2
Obsoletes: afi-ttvxs < 1.2
Obsoletes: hrb-system < 1.1


%description
AFI DAQ Software is a set of programs for online data acquisition.

%prep
%setup -q

%build
#make %{?_smp_mflags} GIT_VERSION=1.4.8-3-g5afe7ec NODEBUG=yes
export QTDIR="%{_qt5_prefix}"
export PATH="%{_qt5_bindir}:$PATH"
%qmake_qt5 NOTEST=yes
%make_build

%install
make install INSTALL_ROOT=%{buildroot}/%{_prefix}

%post

%files
%defattr(-,root,root,-)
%{_bindir}/afi-adc64
%{_bindir}/afi-cru
%{_bindir}/afi-file-watcher
%{_bindir}/afi-hrb
%{_bindir}/afi-mongo-viewer
%{_bindir}/afi-mpd-evb
%{_bindir}/afi-mpd-tlu
%{_bindir}/afi-msc16ve
%{_bindir}/afi-run-control
%{_bindir}/afi-tqdc2
%{_bindir}/afi-trc
%{_bindir}/afi-ttvxs
%{_bindir}/afi-metric-aggr

#{_datadir}/pixmaps/#{name}*
#{_datadir}/applications/*

%package libs
Summary: AFI DAQ Software (libraries)
Group: System Environment/Base
%description libs
AFI DAQ shared libraries
%files libs
%defattr(-,root,root,-)
%{_libdir}/*.so*

%package misc
Summary: AFI DAQ Software (Miscellaneous)
Group: System Environment/Base
#Obsoletes: afi-app-monitor < 1.0
Obsoletes: afi-device-discover < 1.1
Obsoletes: afi-dev-flash-prog < 1.3
Obsoletes: afi-dev-reg-edit < 1.1
#Obsoletes: afi-mongo-viewer < 1.1
Obsoletes: afi-mstream < 1.2
Obsoletes: afi-program-discover < 1.2
%description misc
AFI DAQ miscellaneous software
%files misc
%defattr(-,root,root,-)
#{_bindir}/afi-app-monitor
%{_bindir}/afi-device-discover
%{_bindir}/afi-dev-flash-prog
%{_bindir}/afi-dev-reg-edit
#{_bindir}/afi-mongo-viewer
%{_bindir}/afi-mstream
%{_bindir}/afi-program-beacon
%{_bindir}/afi-program-discover
%{_bindir}/afi-metric-aggr

%package viz
Summary: AFI DAQ Software (Visualization)
Group: System Environment/Base
Obsoletes: adc64-viewer < 1.4
Obsoletes: afi-adc64-viewer < 1.4
Obsoletes: afi-tdc2-viewer
Obsoletes: hrb-system < 1.1
%description viz
AFI DAQ visualization software
%files viz
%defattr(-,root,root,-)
#{_bindir}/afi-adc64-viewer
%{_bindir}/afi-viewer
%{_bindir}/afi-hrb-analyzer

%changelog
* Mon Sep 14 2020  <Ilia.Slepnev@jinr.ru> -
- Initial build.
